﻿
/* ------------------------------------------*/
/* ---------->>> GLOBAL STYLES <<<-----------*/
/* ------------------------------------------*/

html {
    --accent-color: #82c341;
}

body {
    background: linear-gradient(-30deg, #cec9c6, #beb7b3);
    font-family: Calibri;
    font-style: normal;
    font-weight: normal;
    font-size: 17px;
    color: #54534a;
    background: linear-gradient(-30deg, #cec9c6, #beb7b3);
    color: white;
    background-attachment: fixed;
    color: inherit;
}

h1 {
    font-family: Calibri;
    font-style: normal;
    font-weight: 400;
    font-size: 30px;
    color: #fff;
    background-color: var(--accent-color);
    padding: 5px 10px;
    width: 100%;
    margin: 0;
    display: table;
    border-top: 1px inset rgba(0, 0, 0, 0.10);
    border-left: 1px inset rgba(0, 0, 0, 0.16);
    border-right: 1px inset rgba(0, 0, 0, 0.16);
}

h1, #sub-navbar li a {
    text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.18) !important;
}

.green {
    background-color: var(--accent-color) !important;
    color: #FFF !important;
    font-weight: bold;
}

h1.yellow {
    background-color: #ffc324 !important;
    color: #54534a !important;
    font-weight: bold;
}

h2 {
    font-size: 20px;
    font-style: normal;
    font-weight: bold;
    color: #54534a;
}

h3 {
    font-family: Calibri;
    font-style: normal;
    font-weight: bold;
    font-size: 18px;
    color: #54534a;
}

h4 {
    font-family: Calibri;
    font-style: normal;
    font-weight: bold;
    font-size: 14pt;
    color: #54534a;
}

h5 {
    font-family: Calibri;
    font-style: italic;
    font-weight: normal;
    font-size: 18pt;
    color: #54534a;
}

h6 {
    font-family: Calibri;
    font-style: normal;
    font-weight: normal;
    font-size: 16pt;
    background: linear-gradient(-30deg, #cec9c6, #beb7b3);
    color: white;
}

/* -----------------------------------*/
/* ---------->>> Header <<<-----------*/
/* -----------------------------------*/
#application-title {
    height: 50px;
    line-height: 50px;
    float: left;
}

    #application-title a {
        font-family: Calibri;
        font-weight: 500;
        text-decoration: none;
        color: #fcfbfb;
        border-style: solid;
        border-color: #fcfbfb;
        border-left-width: 0;
        border-top-width: 0;
        border-bottom-width: 0;
        border-right-width: 1px;
        padding: 0px 20px 0px 15px;
        vertical-align: middle;
        line-height: 1px;
        text-align: right;
        display: inline-block;
    }

    #application-title hr {
        margin: 0;
        margin-bottom: -6px;
        margin-top: 3px;
    }

#logocontainer {
    display: block;
}

#logocontainerfooter {
    font-size: 13px;
    color: yellow;
}

#logotext {
    font-size: 28px;
    line-height: 28px;
}

#sublogotext {
    font-size: 12px;
    line-height: 12px;
    height: 12px;
    background: #54534a;
    padding-left: 5px;
}

/* -----------------------------------*/
/* ---------->>> Page Structure <<<-----------*/
/* -----------------------------------*/

@media (min-width: 600px) {
    #employeedetail-wrapper, #lookupmaintenance-wrapper {
        padding-left: 250px;
    }
}


#sidebar-wrapper {
    z-index: 1000;
    position: fixed;
    left: 250px;
    top: 97px;
    width: 0;
    height: 100%;
    margin-left: -250px;
    /*overflow-y: auto;*/
    background: gray;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    background-color: #E0F0CF;
}

@media (min-width:600px) {
    #sidebar-wrapper {
        width: 250px;
    }
}



/* 
    Slightly shrink everything on the Employee Master Edit Grid
    in order for it to generally fit on a standard monitor without
    seeing scrollbars
*/
.employeedetail-content {
    font-size: 80%;
}

.employeedetail-content input {
    height: 26px;
}

.employeedetail-content select {
    height: 26px;
    padding-top: 3px;
}

.employeedetail-content .form-group {
    margin-bottom: 7px;
}

.employeedetail-content .form-control {
    line-height: 1;
}

.employeedetail-content button {
    padding: 3px 6px !important;
    width: 100% !important;
    height: 31px !important;
}




#page-content-wrapper {
    width: 100%;
    padding: 8px;
    top: 51px;
}

.content-wrapper {
    box-shadow: 0px 3px 10px 0px rgba(0, 0, 0, 0.21);
}

@media (min-width: 768px) {
    #page-content-wrapper {
        padding: 6px;
        position: relative;
    }
}

.employeedetail-header {
    height: 46px;
    padding-left: 0px;
    padding-right: 0px;
}

.employeedetail-content {
    line-height: 0.9;
    background-color: #fff;
}

.datafield-wrapper {
    padding: 2%;
}

.masterEditgrid {
    width: 100%;
    height: 73vh;
}

.grid-cell-right-align {
    text-align: right;
}

.txnDetailGrid {
    width: 100%;
    height: 80vh;
}

.ui-grid-column-menu-button-last-col {
    margin-right: 0px;
}


.ui-grid-header-cell.uni {
    height: 48px;
    white-space: nowrap;
    -ms-text-overflow: clip;
    -o-text-overflow: clip;
    text-overflow: clip;
    overflow: visible;
    padding: 4px !important;
}

.ui-grid-header-cell .ui-grid-cell-contents {
    height: 48px;
    white-space: normal;
    -ms-text-overflow: clip;
    -o-text-overflow: clip;
    text-overflow: clip;
    overflow: visible;
}

/* For job step filter */
#statusGrid .ui-grid-filter-container {
    padding-top: 4px;
    padding-right: 4px;
    padding-bottom: 4px;
    padding-left: 4px;
    position: relative;
}

#statusGrid .ui-grid-filter-input::-ms-clear {
    display: none;
}

#statusGrid .ui-grid-filter-button {
    margin-right: -9px;
}

.css-form input.ng-dirty {
    background-color: #fff5cc;
}

.css-form input.invalid,
.css-form input.error-required {
    border-color: firebrick;
    background-color: #fff;
    border-width: 0.15em;
}

.css-form select.ng-dirty {
    background-color: #fff5cc;
}

.css-form select.error-required {
    border-color: firebrick;
    background-color: #fff;
    border-width: 0.15em;
}

.css-form button.disabled {
    background-color: gray;
}


.lookup-common-grid-wrapper {
    margin-bottom: 1%;
}

#maintainance-sidebar-wrapper {
    z-index: 1000;
    position: relative;
    width: 0;
    height: 100%;
    margin-left: -270px;
    background: gray;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    background-color: #E0F0CF;
}

/* -----------------------------------*/
/* ---------->>> Navigation <<<-----------*/
/* -----------------------------------*/

/*eliminate box shadow from main menu links*/
.navbar-default .navbar-nav > .active > a {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    display: inline-block;
}

#sub-navbar {
    background-image: none;
    background-color: var(--accent-color);
    border-bottom: 1px inset rgba(0, 0, 0, 0.16);
}

.navbar-inverse .navbar-nav > .active > a {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    display: inline-block;
}

#main-navbar ul {
    padding-left: 30px;
    font-size: 1.1em;
}

#sub-navbar ul {
    padding-left: 30px;
    font-size: 1em;
}

#main-navbar > ul > li.item-enabled > a,
#main-navbar > ul > li:hover > a,
#main-navbar > ul > li.active > a:focus {
    border-bottom: 3px solid var(--accent-color);
    color: var(--accent-color);
    cursor: pointer;
}

#main-navbar .active {
    border-bottom: 3px solid var(--accent-color);
    color: var(--accent-color);
    padding-bottom: 12px;
    cursor: pointer;
}

#logout-link {
    cursor: pointer;
}

.notification-item {
    width: 500px;
    white-space: normal !important; /* Override boostrap's 'nowrap'  */
}

#sub-navbar {
    top: 50px;
    min-height: 40px !important;
    max-height: 40px !important;
    font-size: 1em;
}

    #sub-navbar.hidden {
        display: none;
    }

    #sub-navbar > ul > li.item-enabled > a,
    #sub-navbar > ul > li:hover > a,
    #sub-navbar > ul > li.active > a:focus {
        border-bottom: 1px solid black;
        font-size: 1em;
        color: black;
        cursor: pointer;
    }

    #sub-navbar > ul > li > a {
        padding-top: 10px;
        padding-bottom: 10px;
        line-height: 12px !important;
    }

    #sub-navbar .active {
        border-bottom: 1px solid black;
        color: black;
        font-size: 1em;
        font-weight: 700;
        cursor: pointer;
        background-image: none;
        background-repeat: repeat-x;
        background-color: transparent;
    }

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
    background-color: #C0E1A0;
}

    .sidebar-nav li {
        text-indent: 20px;
        line-height: 35px;
    }

        .sidebar-nav li a {
            display: block;
            text-decoration: none;
            background: linear-gradient(-30deg, #C0E1A0, #E0F0CF);
            color: #000;
            cursor: pointer;
            position: relative;
        }

            .sidebar-nav li a:focus,
            .sidebar-nav li a:hover,
            .sidebar-nav li a:active {
                color: black !important;
                background: linear-gradient(120deg, var(--accent-color), var(--accent-color));
                background-color: var(--accent-color);
            }

    .sidebar-nav .active {
        color: black !important;
        background-color: var(--accent-color) !important;
        background: linear-gradient(120deg, var(--accent-color), var(--accent-color)) !important;
    }

.badge {
    vertical-align: top;
    background-color: #259dff;
}

    /* Hack for master edit sidebar badges */
    .sidebar-nav li a .badge {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 7px;
        border-radius: 3px;
        width: auto !important;
        padding: 3px 5px 3px 5px;
        text-indent: 0px;
    }

    .collapsing {
        transition: step-start 0.6s;
    }


@media (min-width: 768px) {
    .navbar-nav {
        float: left;
        margin: 3px;
    }
}

.btn btn-success dx {
    background-color: black !important;
}

/* -----------------------------------*/
/* ---------->>> Text Styles <<<-----------*/
/* -----------------------------------*/






/* -----------------------------------*/
/* ---------->>> Forms <<<-----------*/
/* -----------------------------------*/
.form-group {
    margin-bottom: 5px;
}

.form-control {
    padding: 6px 6px;
    font-size: 1em;
}

hr {
    margin-top: 7px;
    margin-bottom: 7px;
    border-top: 1px solid #54534A;
}

@media (min-width: 768px) {
    .navbar-nav > li > a {
        padding-top: 12px;
        padding-bottom: 10px;
    }
}

.btn-save {
    width: 75px;
    height: 30px;
    background-color: var(--accent-color);
    box-shadow: 1px 1px 1px rgba(0,0,0,0.25);
    color: white;
}

.btn-cancel {
    width: 75px;
    height: 30px;
    background-color: #BEB7B3;
    box-shadow: 1px 1px 1px rgba(0,0,0,0.25);
}

.modal-content {
    border-radius: 0px;
}

.picker__holder {
    overflow-y: hidden !important;
}

/* -----------------------------------*/
/* ---------->>> Forms <<<-----------*/
/* -----------------------------------*/

/*.masterEditgrid{
    height:49vh;
}*/

.lookupEditGrid {
    height: 580px;
}

.nopad {
    padding-left: 0;
    padding-right: 0;
}

.ddown {
    width: 20%;
    text-align: left;
}

.split-grid-custom-style {
    height: 360px;
}

.help-block {
    display: inline-block !important;
    margin: 0.5% 1%;
}

/*
.form-group {
    margin-top: 1% !important;
}
*/

/*.form-inline .form-group{
   // margin-top: 1% !important;
}*/
.custom-select-width {
    width: 11% !important;
}

.radio {
    margin-right: 1%;
}

.form-control-feedback {
    display: inline !important;
    position: relative !important;
    margin: 0 1%;
    padding: 0 1%;
}

/* Override to keep the form rows thin to help fit on one screen*/
.share-history-edit-form .form-control-feedback {
    position: absolute !important;
}

.shareofferingfactor-form-actions-first {
    margin-right: 2%;
}

.shareofferingfactor-form-actions-last {
    margin-left: 2% !important;
}

.lookup-form-wrapper {
    background: white;
    padding: 1% 0;
}

.form-top-custom {
    margin: 0 0.8%;
}

.cellToolTip {
    overflow: visible;
}

.offeringFactor-buttons-position {
    position: absolute;
    right: 0;
    bottom: 0;
}

@media (min-width: 600px) {
    .lookup-maintaiance-input-text {
        min-width: 400px !important;
    }
}

.security-select-custom-width {
    max-width: 75%;
    min-width: 75%;
}

/* Overriding Angular schema form default select padding */
.lookup-form-wrapper, #Transaction-detail-modal-popup .has-feedback select.form-control {
    padding-right: 1% !important;
    min-width: 150px;
}

#Transaction-status-type-popup .has-feedback select.form-control {
    padding-right: 1% !important;
}

#Repurchase-Certificate-modal-popup .has-feedback select.form-control {
    padding-right: 1% !important;
}

#Standard-Report-Popup .has-feedback select.form-control {
    padding-right: 1% !important;
}

#Repurchase-Certificate-modal-popup input {
    padding-right: 1% !important;
}
/* Overriding Angular schema form default select padding */
.lookup-form-wrapper .has-feedback select.form-control {
    padding-right: 1% !important;
    min-width: 150px;
}

.lookup-form-wrapper .has-feedback select option:empty {
    display: none;
}

.lookup-common-grid-wrapper, .masterEditgrid, .ui-grid-cell-contents {
    padding: 4px !important;
}

.outstanding-certificate-radio-margin {
    margin-bottom: 4% !important;
}

.my-style-1 {
    background-color: red !important;
}

.ui-grid-sort-priority-number {
    font-size: 0 !important;
}

.ie-padding-fix {
    padding-right: 1% !important;
}

.css-form jobtype-select.ng-dirty > select {
    background-color: #fff5cc !important;
}

.css-form jobstep-select.ng-dirty > select {
    background-color: #fff5cc !important;
}

.css-form targetstep-select.ng-dirty > select {
    background-color: #fff5cc !important;
}

.css-form locale-select.ng-dirty > select {
    background-color: #fff5cc !important;
}

.css-form costcenter-select.ng-dirty > select {
    background-color: #fff5cc !important;
}

.css-form homecompany-select.ng-dirty > select {
    background-color: #fff5cc !important;
}

.vcenter {
    line-height: 32px;
}

.offeringmain {
    height: 100%;
    background-color: blue;
}


.padding-right-0px {
    padding-right: 0px;
}

.padding-left-0px {
    padding-left: 0px;
}

.ui-grid-row {
    clear: both;
    height: 0;
}

/* Angular UI Grid Cell style */
.right {
    text-align: right;
}

.yellow-cell-style {
    background-color: #FFD35B;
}

.red-cell-style {
    background-color: #EE615F;
}

.green-cell-style {
    background-color: #A1D270;
}

.ui-grid-icon-plus-squared, .ui-grid-icon-minus-squared {
    cursor: pointer !important;
}

@media all and (min-width: 1500px) {
    /* two column code */
    #outer-container {
        display: flex;
        align-items: stretch;
        flex-flow: row wrap;
    }

    #first-container {
        order: 1;
        width: 50%;
    }

    #second-container {
        order: 2;
        width: 50%;
    }
}

@media all and (max-width: 1499px) {
    /* one column code */
    #outer-container {
        display: flex;
        align-items: stretch;
        flex-flow: column wrap;
    }

    #first-container {
        order: 1;
        width: 100%;
    }

    #second-container {
        order: 2;
        width: 100%;
    }
}


.offspinner {
    display: inline-block;
    opacity: 0;
    width: 0;
}

.bg-color-white {
    background-color: #FFFFFF;
}


.onspinner {
    display: inline-block;
    opacity: 1;
    width: 0;
}

.dd {
    height: 100%;
}



.rightside {
    overflow: auto;
    height: calc(100vh - 152px);
}

.employee-detail-header-text {
    font-family: Calibri;
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    color: #fff;
}

.employee-search-name-dropdown,
.employee-search-number-dropdown {
    width: 200px !important;
    min-height: 30px;
}

/* Webkit */
.employee-search-name-dropdown::-webkit-input-placeholder,
.employee-search-number-dropdown::-webkit-input-placeholder {
    color: #b3b3b3
}

/* IE */
.employee-search-name-dropdown:-ms-input-placeholder,
.employee-search-number-dropdown:-ms-input-placeholder {
    color: #b3b3b3
}

.master-search-header-name-search {
    float: right;
    padding: 0px;
    text-align: right;
    margin-right: 25px;
}
.master-search-header-number-search {
    float: right;
    padding: 0px;
    text-align: center;
    margin-right: 10px;
}
.master-search-header-name-search input, .master-search-header-number-search input {
    padding-left: 4px;
}

.caret-right {
    display: inline-block;
    width: 0;
    height: 0;
    margin: 2px;
    vertical-align: middle;
    border-top: 5px dashed;
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-left: 5px solid #000;
}

.caret-left {
    display: inline-block;
    width: 0;
    height: 0;
    margin: 2px;
    vertical-align: middle;
    border-top: 5px dashed;
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 5px solid #000;
}

.nameBtn:hover, .numberBtn:hover {
}

.nameBtn:hover, .numberBtn:hover {
    font-weight: normal;
}

.dropdown-menu > li > a.select-bs {
    display: inline !important;
    padding: 3px 20px;
    clear: both;
    font-weight: normal;
    line-height: 1.42857143;
    color: #333;
    white-space: nowrap;
}

.underlineSelect {
    text-decoration: none !important;
    color: black !important;
    cursor: default !important;
}

.dropdown-menu > .active > a.select-bs,
.dropdown-menu > li > a.select-bs:hover {
    background-color: #fff !important;
    background-image: none !important;
}

/* This will make the page not printable.*/
@media print {
    .PreventPrinting {
        display: none;
    }
}

.left {
    text-align: left !important;
}

.text-bold {
    font-weight: bold !important;
}

#statusGrid .ag-fresh {
    font-size: 12px !important;    
}

#statusGrid .ag-fresh .ag-group-cell{
    font-style: normal !important;
}

.full-width-panel {
    position: relative;
    background: #fff;
    height: 100%;
    width: 100%;
    padding: 4px;
    box-sizing: border-box;
    border-left: 2px solid grey;
    border-bottom: 2px solid lightgray;
    border-right: 2px solid lightgray;
}

.call-record-cell {
    text-align: right;
}

.full-width-detail {
    padding-top: 4px;
}

.full-width-details {
    padding: 5px;
    margin: 5px;
    width: 150px;
}

.full-width-grid {
    margin-left: 10px;
    box-sizing: border-box;
    display: block;
    height: 166px;
    width: 80%;
}

.full-width-grid-toolbar {
    top: 4px;
    left: 30px;
    margin-left: 150px;
    display: block;
    position: absolute;
}

.full-width-phone-icon {
    padding-right: 10px;
}

.full-width-search {
    border: 1px solid #eee;
    margin-left: 10px;
}

.ag-floating-filter-body input[readonly] {
    background-color: #eeeeee;
    pointer-events: none;
}

.ag-header-cell-label {
    text-overflow: clip;
    overflow: visible;
    white-space: normal !important;
}

.editable-cell{
    background-color: rgb(255, 196, 37); 
}

.red-font{ color: red !important;}

#jobTypeCode option[id="N"] {
    color: red;
}

#jobTypeCode option[id="Y"] {
    color: #555;
}

#jobStepCode option[id="N"] {
    color: red;
}

#jobStepCode option[id="Y"] {
    color: #555;
}

.mono-font {   
    font-family: Consolas;
    font-size: 0.9em;
}

.dd-ul{
    width: 530px !important;   
    text-align:left !important;
}

.employee-search-name-dropdown + div ul,
.employee-search-number-dropdown + div ul {
    width: 530px !important;   
    text-align:left !important;    
}

.finalTable td{
    padding: 10px !important;       
}

.btn-link{
  cursor: pointer !important;  
}

.btn-disable-link,  .btn-disable-link:hover{
    color: #000000 !important;
    cursor: default  !important;
}

.loading {
    width:200px;
    height:100px;
    position:fixed;
    top:50%;
    right:50%;
    left:50%;
    padding:20px;
    border-radius:15px;
    background-color:rgba(0,0,0,.5);
    color:white;
    font-weight:bold;
    text-align:center;
    z-index:100;
}

.padding-top-10px {
    padding-top: 10px;
}


/* Spinner stuff */
.page-loading-indicator-holder {
    display: none; /* Default to hidden, as we'll use javascript to show/hide this later '*/
    min-height: 300px;
    display: inline-flex;
    align-content: center;
    justify-content: center;
}

.content-loading-indicator-holder {
    display: none; /* Default to hidden, as we'll use javascript to show/hide this later '*/
    min-height: 300px;
    display: inline-flex;
    align-content: center;
    justify-content: center;
}

.loading-spinner {
    pointer-events: none;
    width: 2.5em;
    height: 2.5em;
    border: 0.4em solid transparent;
    border-color: #eee;
    border-top-color: var(--accent-color);
    border-radius: 90%;
    animation: loading-spin 1s linear infinite;
}

@keyframes loading-spin {
    100% {
        transform: rotate(360deg)
    }
}

/* End Spinner stuff*/

.card-holder {
    padding: 0px !important;
}
.card {
    border: 1px solid rgba(0, 0, 0, 0.17);
    border-radius: 3px;
    box-shadow: 0px 3px 7px rgba(0, 0, 0, 0.07);
    margin: 5px;
    padding: 12px;
}
.card h1, .card h2, .card h3, .card h4, .card h5 {
    margin-top: 0px;
}


.page-loading-indicator-holder {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.content-loading-indicator-holder {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.modal-footer-sm {
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}
.modal-footer-xs {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}
.model-footer-no-line {
    border-top: none !important;
    padding-top: 0px !important;
}

/* START Bootbox classes for custom dialogs */
.bootbox-dialog-danger .modal-content {
    background-color: #f5c6cb;
    color: #721c24;
    border-color: #721c24;
}
.bootbox-dialog-danger .modal-footer {
    border-top-color: #721c24;
}
.bootbox-dialog-danger .bootbox-accept {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
    background-image: none;
}

.bootbox-dialog-danger .bootbox-accept:active:focus {
    background-color: #dc3545;
    border-color: #dc3545;
}

.bootbox.modal.bootbox-alert .modal-dialog {
    width: 400px;
    font-size: 15px;
}
/* END Bootbox classes for custom dialogs */

/* START Reporting styles */
.report-link {
    cursor: pointer; /* Since the anchors don't have hrefs, ensure there's stilla "hand" cursor on hover */
    display: block; /* Cause a line break after the link */
}
/* END Reporting styles */

/* START Admin Utility Forms*/
.small-admin-crud-label {
    font-size: 14px;
    margin-top: 6px;
}
/* END Admin Utility Forms*/



/* START Bootstrap Select Modifications */

    /* We want to make Boostrap Select dropdowns looks like the standard dropdowns */
    .bootstrap-select > .dropdown-toggle {
        padding: 6px 12px !important;
        font-size: 14px !important;
        line-height: 1.42857143 !important;
        color: #555 !important;
        background-color: #fff !important;
        background-image: none !important;
        border: 1px solid #ccc !important;
        border-radius: 0 !important;
        box-shadow: inset 0 1px 1px rgba(0,0,0,0.075) !important;
    }

/* */
/* END Admin Utility Forms*/

/* START uibModal styles */
.document-preview-modal .modal-dialog {
    width: 1200px;
}
.rec-admin-modal .modal-dialog {
    width: 900px;
}
/* END uibModal */

.lookup-maint-field-class-hack {
    /* This hack exists because of how bad angular schemas are on legacy edge. We can rmeove this for chromium. */
    width: 150px !important;
}

/* Rotating */
.rotate90 {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}

.rotate180 {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

.rotate270 {
    -webkit-transform: rotate(270deg);
    -moz-transform: rotate(270deg);
    -o-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    transform: rotate(270deg);
}

.header-column {
    padding-right: 10px;
}

.master-edit-control-label {
    padding-right: 0px;
    padding-left: 0px;
}

.master-edit-button-container {
    padding-right: 5px;
    padding-left: 5px;
}

.lookup-common-fieldset[disabled] {
    color: #a0a9a1;
}